#include <bits/stdc++.h>
using namespace std;

int fun(int a, int b) {return a/b+((a%b)!=0);}

int main()
{
    bool repeat[43];
    int p,q,r;
    long long L,R;
    cin>>p>>q>>r>>L>>R;
    for(int i=0; i<43; ++i) {
        if(fun(i+1,p)+fun(i+1,q)+fun(i+1,r)<=i+1) {
            repeat[i]=true;
        }
        else{
            repeat[i]=false;
        }
    }
    L--;
    R--;
    long long ans=0;
    if(R<43) {
        for(int i=L; i<=R; ++i) {ans+=repeat[i];}
    }
    else if(L<43) {
        for(int i=L; i<43; ++i) {ans+=repeat[i];}
        ans+=R-43+1;
    }
    else {
        ans+=R-L+1;
    }
    cout<<ans;
    return 0;
}